Loading...
Searching...
No Matches
Dune::MPIData< void > Struct Reference

`#include <dune/common/parallel/mpidata.hh>`

Inheritance diagram for Dune::MPIData< void >:

## Public Member Functions

void * | ptr ()
int | size ()
void | get ()
MPI_Datatype | type () const

## Static Public Attributes

static constexpr bool | static_size

## Protected Member Functions

| MPIData ()

## Protected Attributes

void & | data_

## Friends

auto | getMPIData (void &t)

## Constructor & Destructor Documentation

## MPIData()

Dune::MPIData< void >::MPIData | ( |  | ) |

inline protected

## Member Function Documentation

## get()

void Dune::MPIData< void >::get | ( |  | ) |

inline

## ptr()

void * Dune::MPIData< void >::ptr | ( |  | ) |

inline

## size()

int Dune::MPIData< void >::size | ( |  | ) |

inline

## type()

MPI_Datatype Dune::MPIData< void >::type | ( |  | ) | const

inline

## Friends And Related Symbol Documentation

## getMPIData

auto getMPIData | ( | void & | t | ) |

friend

## Member Data Documentation

## data_

void& Dune::MPIData< void, Enable >::data_

protected

## static_size

bool Dune::MPIData< void, Enable >::static_size

static constexpr

The documentation for this struct was generated from the following file:

- mpidata.hh